Subject: Re: Requesting IESG Approval for the Media Type application/inkml+xml

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 08 Aug 2011 13:28:53 -0600

Thank you for the clarification!

On 8/7/11 4:56 PM, Kazuyuki Ashimura wrote:
> Dear Peter Saint-Andre,
> 
> I am very sorry for my late response.  It was vacation season and took
> a bit longer to check with the specification editors.
>  
> I have checked with the editors and clarified the following:
> 
> - The editor inadvertently used "instructions" here, but their actual
>   intention was simply that "InkML elements may include arbitrary
>   URIs".
> 
> - So we have to change the wording in the specification from
>   "instructions" to "elements" to clarify that InkML agents are not
>   language processors and arbitrary URI's will not be dereferenced.
> 
> I hope the above clarification works.
> 
> Thanks,
> 
> Kazuyuki
>  
> 
> On 07/16/2011 03:06 AM, Peter Saint-Andre wrote:
>> Hi Philippe,
>>
>> The security considerations portion of the media type registration
>> states that "several InkML instructions may cause arbitrary URIs to be
>> dereferenced". However, there are no examples of such URIs in the body
>> of the specification, nor is there a list of the instructions that might
>> cause this behavior (does this apply to all attributes with a datatype
>> of "anyUri"?). These small clarifications would be helpful.
>>
>> Peter
>>
>> On 6/21/11 7:33 AM, Philippe Le Hegaret wrote:
>>> Dear IESG participants,
>>>
>>> This message is to request approval for the registration of the media
>>> type:
>>>   application/inkml+xml
>>>   D.1 Registration of MIME media type application/inkml+xml
>>>   http://www.w3.org/TR/2011/PR-InkML-20110510/#media-type-registration
>>>
>>> This message follows the procedure described in the Media Type
>>> Specifications and Registration Procedures, section 5.2, "IESG
>>> Approval" [1]. The proposed media types were sent for preliminary
>>> community review on January 28, 2008:
>>>   http://www.alvestrand.no/pipermail/ietf-types/2008-January/001989.html
>>>
>>> No comments were received.
>>>
>>> We believe the media type is now ready for IESG approval.
>>>
>>> Thank you,
>>>
>>> Philippe
>>>
>>> [1] http://www.ietf.org/rfc/rfc4288.txt
>>>
>>
> 

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 09 Aug 2011 14:28:59 -0600

I have asked the IANA to modify the registration request as follows:

OLD:
   Several InkML instructions may cause arbitrary URIs to be
   dereferenced.  In this case, the security issues of [RFC3986],
   section 7, should be considered.

NEW:
   InkML elements may include arbitrary URIs.  Therefore the
   security issues of [RFC3986], section 7, should be considered.

Please let me know if that is incorrect.

Peter

On 8/8/11 1:35 PM, Kazuyuki Ashimura wrote:
> Thank YOU so much for your prompt response, Peter!
> 
> Kazuyuki
> 
> 
> On 08/09/2011 04:28 AM, Peter Saint-Andre wrote: